Loading...
Searching...
No Matches
GenOptimizer_t Struct Reference
My Libs » Debug Tools » Genetic optimizer

## Public Attributes

uint16_t | n_params
uint16_t | n_cand
uint16_t | n_best
float | mutation_amp
float | loss [0]
float | candidates [0][0]
uint16_t | iq_mutation
int32_t | loss [0]
int32_t | candidates [0][0]

## Detailed Description

Definition at line 319 of file gen_optimizer.h.

## Member Data Documentation

## n_params

uint16_t GenOptimizer_t::n_params

Definition at line 320 of file gen_optimizer.h.

## n_cand

uint16_t GenOptimizer_t::n_cand

Definition at line 321 of file gen_optimizer.h.

## n_best

uint16_t GenOptimizer_t::n_best

Definition at line 322 of file gen_optimizer.h.

## mutation_amp

float GenOptimizer_t::mutation_amp

Definition at line 323 of file gen_optimizer.h.

## loss [1/2]

float GenOptimizer_t::loss[0]

Definition at line 324 of file gen_optimizer.h.

## candidates [1/2]

float GenOptimizer_t::candidates[0][0]

Definition at line 325 of file gen_optimizer.h.

## iq_mutation

uint16_t GenOptimizer_t::iq_mutation

Definition at line 84 of file __mylibs_include.h.

## loss [2/2]

int32_t GenOptimizer_t::loss[0]

Definition at line 85 of file __mylibs_include.h.

## candidates [2/2]

int32_t GenOptimizer_t::candidates[0][0]

Definition at line 86 of file __mylibs_include.h.

The documentation for this struct was generated from the following files:

- E:/.WORK/STM32/STM_Libs/STM32_ExtendedLibs/MyLibs/Inc/gen_optimizer.h
- E:/.WORK/STM32/STM_Libs/STM32_ExtendedLibs/__mylibs_include.h